Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 707650 - media-sound/aumix-2.9.1 : fails to build with -fno-common or gcc-10
Summary: media-sound/aumix-2.9.1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-31 17:46 UTC by Toralf Förster
Modified: 2020-08-08 16:55 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.87 KB, text/plain)
2020-01-31 17:46 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,219.61 KB, text/plain)
2020-01-31 17:46 UTC, Toralf Förster
Details
environment (environment,74.54 KB, text/plain)
2020-01-31 17:46 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.22 KB, application/x-bzip)
2020-01-31 17:46 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,9.42 KB, application/x-bzip)
2020-01-31 17:46 UTC, Toralf Förster
Details
media-sound:aumix-2.9.1:20200131-134419.log (media-sound:aumix-2.9.1:20200131-134419.log,28.59 KB, text/plain)
2020-01-31 17:46 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,23.05 KB, application/x-bzip)
2020-01-31 17:46 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-31 17:46:35 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I../intl -DLOCALEDIR=\"/usr/share/locale\" -I/usr/include   -O2 -pipe -march=native -fno-common   -O2 -pipe -march=native -fno-common -c -o gtk.o gtk.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I../intl -DLOCALEDIR=\"/usr/share/locale\" -I/usr/include   -O2 -pipe -march=native -fno-common   -O2 -pipe -march=native -fno-common -c -o interactive.o interactive.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I../intl -DLOCALEDIR=\"/usr/share/locale\" -I/usr/include   -O2 -pipe -march=native -fno-common   -O2 -pipe -march=native -fno-common -c -o mouse.o mouse.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common   -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o aumix common.o curses.o dummy.o gpm-xterm.o gtk.o interactive.o mouse.o -L/usr/lib64 -lncurses -ltinfo   
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: curses.o:(.bss+0x68): multiple definition of `menu_width'; common.o:(.bss+0x110): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: curses.o:(.bss+0x64): multiple definition of `level_width'; common.o:(.bss+0x10c): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20200126-201521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Fri, 31 Jan 2020 12:47:55 +0000

emerge -qpvO media-sound/aumix
[ebuild  N    ] media-sound/aumix-2.9.1  USE="nls -gpm -gtk"
Comment 1 Toralf Förster gentoo-dev 2020-01-31 17:46:38 UTC
Created attachment 609922 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-31 17:46:41 UTC
Created attachment 609924 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-31 17:46:45 UTC
Created attachment 609926 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-31 17:46:47 UTC
Created attachment 609928 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-31 17:46:50 UTC
Created attachment 609930 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-31 17:46:53 UTC
Created attachment 609932 [details]
media-sound:aumix-2.9.1:20200131-134419.log
Comment 7 Toralf Förster gentoo-dev 2020-01-31 17:46:56 UTC
Created attachment 609934 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-08-08 16:55:02 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=496c9ec7355f06f6d1d19be780a6981503e6df1f

commit 496c9ec7355f06f6d1d19be780a6981503e6df1f
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-08-08 16:54:03 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-08-08 16:54:03 +0000

    media-sound/aumix: Fix building under -fno-common
    
    Closes: https://bugs.gentoo.org/707650
    Package-Manager: Portage-3.0.1, Repoman-2.3.23
    Signed-off-by: David Seifert <soap@gentoo.org>

 media-sound/aumix/aumix-2.9.1.ebuild               |   3 +-
 .../aumix/files/aumix-2.9.1-fno-common.patch       | 132 +++++++++++++++++++++
 2 files changed, 134 insertions(+), 1 deletion(-)